EPG

Published schedule as JSON

GET
/v1/channels/{id}/schedule.json

Scope: feeds:read

Authorization

apiKey
headerAuthorizationBearer <ik_live_…>

An organisation API key from Settings → Organisation → API keys. Each operation names the one scope it needs — see https://developer.ingenee.ai/docs/authentication.

Path Parameters

id*string

Response Body

OK

application/json
  1. response
[key: string]?any
Example Request
curl -X GET 'https://dev.app.ingenee.ai/api/v1/channels/string/schedule.json'
Example Response
{  "channel": {    "id": "1dad8739-b86a-4f5e-ab64-28b7f72a717d",    "language": "en",    "name": "E2E Ad Channel India",    "region": "US",    "slug": "e2e-ad-channel-india"  },  "programmes": [    {      "image": "https://image.tmdb.org/t/p/w500/uXDfjJbdP4ijW5hWSBrPrlKpxab.jpg",      "rating": "G",      "start": "2026-10-28T04:00:00.000Z",      "stop": "2026-10-28T05:30:00.000Z",      "title": "Toy Story"    },    {      "image": "https://image.tmdb.org/t/p/w500/6Ryitt95xrO8KXuqRGm1fUuNwqF.jpg",      "rating": "PG",      "start": "2026-10-28T05:30:00.000Z",      "stop": "2026-10-28T07:27:00.000Z",      "title": "Coco"    }  ]}